#!/bin/bash
# DO NOT CHANGE tool_name, image_name, and container_name.
# Set dns_server with DNS server IP or host name.
#
image_name=icr.io/isiq/isiq-sdi-tool:10.0.6
tool_name=isiq-sdi-tool-10.0.6
container_name=${tool_name}
command="docker"
time_zone=$(cat /etc/timezone)
dns_server=

if [ "$(uname)" = "Linux" ]; then
    if [ -z ${dns_server+x} ]; then
        echo "dns_server is unset"; 
        dns_arg="";
    else 
        # check if it is empty string.
        if [ -z "$dns_server" ]; then 
            echo "dns_server is blank"; 
            dns_arg="";
        else 
            echo "dns_server is set to '$dns_server'"; 
            dns_args="--dns "$dns_server;
        fi
    fi
    
    echo "dns_args:" $dns_args
fi
