#!/bin/bash

source ./setEnv.sh
docker pull $image_name

# The dns_arg, container_name, and image_name variables are set from setEnv.sh file.
# Added to make the current timezone to be used in the container: --env TZ=${time_zone}
# Added to make timedatectl command in the container: --previliged -v /etc/localtime:/etc/localtime 
CMD="${command} run -d -p 1099:1099 -p 1098:1098 ${dns_args} --env TZ=${time_zone} -v $(pwd)/logs:/root/soldir/ISIGADI/logs -v $(pwd)/ISIQ-SDI-Tool.properties:/root/soldir/ISIGADI/ISIQ-SDI-Tool.properties -v /etc/localtime:/etc/localtime:ro --privileged  -v /run/dbus/system_bus_socket:/run/dbus/system_bus_socket:ro -it --name $container_name $image_name ./startSrv.sh"
echo ${CMD}
${CMD}
