#!/bin/bash

echo "Deploying ISIQ SDI Tool..."
oc create -f 000-isiq-sdi.yaml
oc adm policy add-scc-to-user privileged -z default -n isiq-sdi
oc adm policy add-scc-to-user anyuid -z default -n isiq-sdi
oc create configmap sdi-tool-properties --from-file=ISIQ-SDI-Tool.properties --dry-run=client -o yaml --namespace=isiq-sdi > config-sdi-tool.yaml
oc create -f config-sdi-tool.yaml
oc create -f isiq-sdi-tool.yaml
